# SpeciesFormChangeActiveTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeActiveTrigger

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeActiveTrigger

- Defined in src/data/pokemon-forms.ts:308

##### Index

### Constructors

constructor

### Properties

active
description

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeActiveTrigger(
  active?: boolean,
  ): SpeciesFormChangeActiveTrigger

  #### Parameters

  - active: boolean = false

  #### Returns SpeciesFormChangeActiveTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:311

## Properties

### active

active: boolean

- Defined in src/data/pokemon-forms.ts:309

### description

description: string = ""

Inherited from SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:222

## Methods

### canChange

- canChange(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:319

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228